\chapter{Theory}

Create some bibliography entries: For an overview of seismic data processing, I refer the reader to \textcite{yilmaz2001}. The last sentence used a \texttt{\textbackslash textcite} command. Full-waveform inversion (FWI) can be used to invert Earth models from seismic data \parencite{tarantola1984}. The last sentence used a \texttt{\textbackslash parencite} command.

This is a reference to \cref{tab:example} using the \texttt{\textbackslash cref} command. We can also use the \texttt{\textbackslash vref} command: This is a reference to \vref{tab:example}. In this simple example, there is no difference. We could also use standard \texttt{ref} but would have to write ``fig.{}'' or ``table'' etc.\ ourselves. 
\begin{table}[htb]
\caption{Exemplary table.}
\label{tab:example}
\centering
\begin{tabular}{lcc}\toprule
\textbf{Column 1} & \textbf{Column 2} & \textbf{Column 3}\\ \midrule
aaa & bbb & ccc\\
a   & bb  & ccc\\
aaa & bb  & c  \\
aaa & bbb & ccc \\ \bottomrule
\end{tabular}
\end{table}

This is a reference to \cref{fig:overview} (using \texttt{\textbackslash cref}). This is a reference to \vref{fig:detail} (using \texttt{\textbackslash vref}). Note how \texttt{\textbackslash vref} has automatically added ``on the next page''. We can also cite a figure somewhere else in the thesis, see \vref{fig:appendix}. Here, the page was automatically added. Check out \cref{eq:einstein} for details (this shows a reference to an equation).
\begin{equation}
E=m\,c^2 \label{eq:einstein}
\end{equation}
Let us now try some physical units in text mode, \SI{1500}{m/s}, and in math mode $\SI{1500}{m/s}$. This should actually look identical. \SI{10}{\percent} and \SI{100}{\hertz}, or \SI{90}{\degree}. You can also define your own physical units if necessary. 

\begin{figure}
\centering
\begin{tikzpicture}
\draw[ultra thick] (0,0) rectangle (5,3) node[midway,font=\huge] {Figure 1};
\end{tikzpicture}
\caption{This is an exemplary caption for a figure.}
\label{fig:overview}
\end{figure}

Vectors can easily be typeset as well, $\vv{F} = m\vv{a}$. We can also have vectors with indices, and they will be typeset correctly, for instance $\vv*{e}{r}$ or $\vv*{L}{\Delta}$. The \texttt{csquote} package allows us to easily \enquote{quote other people}.

The typesetting of differential equations can be somewhat cumbersome. Package \texttt{diffcoeff} might come to our rescue. $\diff{y}{x}$ or $$\diff[n+1]{y}{x}\,.$$ Without the ISO option of the package, the ``d'' would be slanted and not upright. Of course, partial derivatives are also possible, e.g., $\diffp{F}{x}$. Here is Lagrange's equation: 
\begin{equation}
\diffp L{q_k}-\diff*{\diffp L{\dot{q}_k}[]}t = 0
\end{equation} 
We can also have mixed partial derivatives $$\diffp {F(x,y,z)}{x,y,z}\,,$$ Jacobians like $$\jacob{u,v,w}{x,y,z}\,,$$ and much more. The package also works for differentials, e.g., $\dl x\dl3y=r\dl3r\dl3\theta$. We can even control the space between the differentials. We can use them in integrals like
\begin{equation}
C = \iint\limits_{A} f(x,y) \dl3x\dl3y\,.
\end{equation}

\begin{figure}
\centering
\begin{tikzpicture}
\draw[ultra thick] (0,0) rectangle (5,3) node[midway,font=\huge] {Figure 2};
\end{tikzpicture}
\caption{This is an exemplary caption for yet another figure.}
\label{fig:detail}
\end{figure}

\pagebreak

We forced a third page in the theory chapter to check that headers are correct. Normally, you should avoid manual linebreaks, pagebreaks, and so on. Here comes another citation \parencite{boerngen1997}.
